%global momorel 1

# This is a generic spec file that should "just work" with rpmbuild on any distro.
# Make sure you have appropriate -devel packes installed:
# - the package providing libltdl.so and .la (libtool or libtool-devel)
# - devel packages for alsa, sdl, etc... to build the respective output modules.

Summary:	The fast console mpeg audio decoder/player.
Name:		mpg123
Version:	1.20.1
Release:	%{momorel}m%{dist}
URL:		http://www.mpg123.org/
License:	GPL
Group:		Applications/Multimedia
Source0:	http://www.mpg123.org/download/mpg123-%{version}.tar.bz2
NoSource:	0
BuildRoot:	%_tmppath/%name-%version
Prefix: 	/usr
# That is specific to fedora 4 already.
#BuildPrereq:	libtool-ltdl-devel

%description
This is the fast and Free (LGPL license) real time MPEG Audio Layer 1, 2 and 3 decoding library and console player. It uses floating point or integer math, along with several special optimizations (3DNow, SSE, ARM, ...) to make it most efficient.

%package devel
Summary:	Files needed for development with mpg123
Group:		Development/Libraries

%description devel
Libraries and header files for development with mpg123.

%prep
%setup -q -n %name-%version

%build
%configure --enable-shared --disable-static --disable-ltdl-install
make

%install
%{__rm} -rf %{buildroot}
%makeinstall

# remove .la files
find %{buildroot} -name "*.la" -exec rm -f {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(755,root,root)
%{_bindir}/*
%defattr(644,root,root)
%doc %{_mandir}/man1/*123.1.*
%{_libdir}/libmpg123.so.*
%{_libdir}/mpg123/output_*.so

%files devel
%defattr(644,root,root)
%{_libdir}/pkgconfig/libmpg123.pc
%{_includedir}/*.h
%{_libdir}/libmpg123.so

%changelog
* Thu Jul 10 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.20.1-1m)
- Initial release to Momonga Linux

* Tue Jan  1 2008 Michael Ryzhykh <mclroy@gmail.com>
- Initial Version.

